<?php
/**
 * CargoStatusEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Logistic
 *
 * Управление логистикой
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\LogisticClient\Dto;
use \Ensi\LogisticClient\ObjectSerializer;

/**
 * CargoStatusEnum Class Doc Comment
 *
 * @category Class
 * @description Статус отгрузки. Расшифровка значений:   * &#x60;1&#x60; - Новый   * &#x60;2&#x60; - Ожидает отгрузки
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class CargoStatusEnum
{
    
    /** Новый */
    public const NEW = 1;
    
    /** Ожидает отгрузки */
    public const AWAIT_SHIPMENT = 2;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::NEW,
            self::AWAIT_SHIPMENT,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::NEW => 'Новый',
            self::AWAIT_SHIPMENT => 'Ожидает отгрузки',
        ];
    }
}


